POST
/api/Checkout/sessions/me/contact
const url = 'https://example.com/api/Checkout/sessions/me/contact';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"sessionId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","firstName":"example","lastName":"example","email":"hello@example.com","phone":"example","addressLine1":"example","addressLine2":"example","city":"example","state":"example","postCode":"example","country":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/Checkout/sessions/me/contact \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "sessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "email": "hello@example.com", "phone": "example", "addressLine1": "example", "addressLine2": "example", "city": "example", "state": "example", "postCode": "example", "country": "example" }'Edits the prefill contact details before card capture.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”object
sessionId
required
string format: uuid
firstName
required
string
lastName
required
string
email
required
string format: email
phone
string
addressLine1
string
addressLine2
string
city
string
state
string
postCode
string
country
string
Example generated
{ "sessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "email": "hello@example.com", "phone": "example", "addressLine1": "example", "addressLine2": "example", "city": "example", "state": "example", "postCode": "example", "country": "example"}object
sessionId
required
string format: uuid
firstName
required
string
lastName
required
string
email
required
string format: email
phone
string
addressLine1
string
addressLine2
string
city
string
state
string
postCode
string
country
string
Example generated
{ "sessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "email": "hello@example.com", "phone": "example", "addressLine1": "example", "addressLine2": "example", "city": "example", "state": "example", "postCode": "example", "country": "example"}object
sessionId
required
string format: uuid
firstName
required
string
lastName
required
string
email
required
string format: email
phone
string
addressLine1
string
addressLine2
string
city
string
state
string
postCode
string
country
string
Example generated
{ "sessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "email": "hello@example.com", "phone": "example", "addressLine1": "example", "addressLine2": "example", "city": "example", "state": "example", "postCode": "example", "country": "example"}Responses
Section titled “ Responses ”No Content
Not Found
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Conflict
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}